// Copyright (C) 2023 OWO Games - All Rights Reserved

#pragma once
#include "CoreTypes.h"
#include "CoreMinimal.h"
#include "Factories/Factory.h"
#include "UObject/ObjectMacros.h"
#include "EditorReimportHandler.h"
#include "OWOUnrealUtilities.h"    
#include "OWOLibrary.h"

#include "ImportAuthFactory.generated.h"


/**
 *
 */


UCLASS(hidecategories = Object)
class OWOIMPORT_API UImportAuthFactory : public UFactory
{
	GENERATED_UCLASS_BODY()


public:
	virtual UObject* FactoryCreateFile(UClass* InClass, UObject* InParent, FName InName, EObjectFlags Flags, const FString& Filename, const TCHAR* Parms, FFeedbackContext* Warn, bool& bOutOperationCanceled) override;

protected:
	static UImportedAuth* CreateOWOFile(FString Filename, UObject* InParent, FName InName, EObjectFlags Flags);


};
